%global momorel 1
Summary: A script to handle icon names in desktop icon themes
Name: icon-naming-utils
Version: 0.8.90
Release: %{momorel}m%{?dist}
URL: http://tango-project.org/Standard_Icon_Naming_Specification
Source0: http://tango.freedesktop.org/releases/icon-naming-utils-%{version}.tar.bz2
NoSource: 0
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildPrereq: pkgconfig
BuildRequires:  perl-XML-Simple
Requires:       perl-XML-Simple


%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libexecdir}/icon-name-mapping
%{_datadir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/dtds/legacy-icon-mapping.dtd

%changelog
* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.90 (unstable for gnome-2.25.91)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-2m)
- rebuild against rpm-4.6

* Thu Sep 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.7-1m)
- update to 0.8.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.6-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6-2m)
- %%NoSource -> NoSource

* Tue Oct 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.6-1m)
- update to 0.8.6

* Sun Mar 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- delete patch0 (pkgconfig search /usr/share/pkgconfig)

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Wed Oct 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-2m)
- specify automake version 1.9

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-1m)
- update to 2.8.1
- modify patch0 (pkgconfig)

* Sat Apr  8 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.6.7-1m)
- version 0.6.7
- import from Fedora Core 5

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.7-1
- Update to 0.6.7

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.5-1
- Initial import
